"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectionTimeout = exports.sslMode = exports.preparedStatementPrefix = exports.password = exports.database = exports.user = exports.port = exports.host = void 0;
function secToMsec(value) {
    if (typeof value === "number" && !isNaN(value)) {
        return value * 1000;
    }
    return undefined;
}
exports.host = process.env.PGHOST || 'localhost';
exports.port = parseInt(process.env.PGPORT, 10) || 5432;
exports.user = process.env.PGUSER || (process.platform === 'win32' ? process.env.USERNAME : process.env.USER);
exports.database = process.env.PGDATABASE || 'postgres';
exports.password = process.env.PGPASSWORD;
exports.preparedStatementPrefix = 'tsp_';
exports.sslMode = process.env.PGSSLMODE;
exports.connectionTimeout = secToMsec(parseInt(process.env.PGCONNECT_TIMEOUT, 10));
//# sourceMappingURL=defaults.js.map