"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testWithClient = void 0;
const client_1 = require("../src/client");
function testWithClient(name, fn, timeout) {
    const client = new client_1.Client({
        extraFloatDigits: 2,
        preparedStatementPrefix: name + " "
    });
    client.on('notice', console.log);
    test(name, () => __awaiter(this, void 0, void 0, function* () {
        const p = fn(client);
        yield client.connect();
        let closed = false;
        client.on('end', () => { closed = true; });
        try {
            yield p;
        }
        finally {
            if (!closed) {
                yield client.end();
                //if (!client.closed) throw new Error("Expected client to be closed");
            }
        }
    }), timeout);
}
exports.testWithClient = testWithClient;
//# sourceMappingURL=helper.js.map